
Summary: The original open-source cross-platform remote control solution 
Name:	 vnc
Group:	 User Interface/X
Version: 3.3.6
Release: 3	
URL:     http://www.realvnc.org/
Source0: http://www.realvnc.org/dist/%{name}-%{version}-unixsrc.tar.gz
Vendor:	 RealVNC Ltd
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires:	/usr/bin/perl
BuildRequires:	tcp_wrappers
BuildRequires:	zlib-devel

Source1: vnc.conf
Source2: vncserver.init
Source3: vnc.xinetd

# use a good default xclients
Patch1: vnc-3.3.4-xclients.patch
# use xfs font server by default
Patch2: vnc-3.3.4-fp.patch
# use tcp_wrappers
Patch3: vnc-3.3.4-tcpwrappers.patch
# make -shared sessions the default
Patch4: vnc-3.3.4-shared.patch


%description
VNC stands for Virtual Network Computing. It is remote control software which
allows you to view and interact with one computer (the "server") using a simple
program (the "viewer") on another computer anywhere on the Internet. The two
computers don't even have to be the same type, so for example you can use VNC
to view an office Linux machine on your Windows PC at home. VNC is freely and
publicly available and is in widespread active use by millions throughout
industry, academia and privately.

%package server
Summary: A VNC server.
Group:	 User Interface/X
Prereq:	 /sbin/chkconfig /sbin/service
Prereq:	 /etc/init.d /etc/xinetd.d
Requires: XFree86
Requires: bash >= 2.0
Requires: tcp_wrappers
%description server
The VNC system allows you to access the same desktop from a wide
variety of platforms.  This package is a VNC server, allowing others
to access the desktop on your machine.


%prep

%setup -q -n %{name}-%{version}-unixsrc 

# a good default xclients
%patch1 -p1 -b .xclients
# use the xfs font server in vncserver
%patch2 -p1 -b .fp
# use tcp_wrappers
%patch3 -p1 -b .tcpwrappers
# make -shared the vncviewer default
%patch4 -p1 -b .shared


%build

%configure --with-installed-zlib

# make vncviewer
make

# make vncserver (Xvnc)
( cd Xvnc; make EXTRA_LIBRARIES="-lwrap -lnss_nis" CDEBUGFLAGS="$RPM_OPT_FLAGS" World)


%install
rm -rf $RPM_BUILD_ROOT

perl -pi -e "s|/usr/local/vnc/classes|%{_datadir}/vnc/classes|" vncserver

mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
./vncinstall $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}

(cd Xvnc; make DESTDIR="$RPM_BUILD_ROOT" install )

mkdir -p $RPM_BUILD_ROOT%{_datadir}/vnc
cp -aR classes $RPM_BUILD_ROOT%{_datadir}/vnc

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/vncserver

mkdir -p $RPM_BUILD_ROOT/etc/xinet.d/
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/xinet.d/vnc

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cat > $RPM_BUILD_ROOT/etc/sysconfig/vncservers << EOF
# The VNCSERVERS variable is a list of display:user pairs.
#
# Uncomment the VNCSERVERS line below to start a VNC server on display :1
# as my 'myusername' (adjust this to your own).  You will also
# need to set a VNC password; run 'man vncpasswd' to see how
# to do that.  
#
# DO NOT RUN THIS SERVICE if your local area network is
# untrusted!  For a secure way of using VNC, see
# <URL:http://www.uk.research.att.com/vnc/sshvnc.html>.

# VNCSERVERS="1:myusername"
VNCOPTIONS="-depth 16 -geometry 1024x768 -alwaysshared"
EOF
chmod 644 $RPM_BUILD_ROOT/etc/sysconfig/vncservers

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Applications/vncviewer.desktop << EOF
[Desktop Entry]
Name=VNC Viewer
Comment=VNC client application
Exec=vncviewer
Icon=vnc.png
Type=Application
Encoding=UTF-8
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post server
if [ "$1" == "1" ]; then
  /sbin/chkconfig --add vncserver
fi

%preun server
if [ "$1" == "0" ]; then
  /sbin/service vncserver stop >/dev/null 2>&1
  /sbin/chkconfig --del vncserver
fi

%postun server
if [ "$1" -ge "1" ]; then
  /sbin/service vncserver condrestart >/dev/null 2>&1
fi


%files
%defattr(-,root,root)
%doc LICENCE.TXT README 
%{_bindir}/vncviewer
%config(noreplace) /etc/X11/applnk/Applications/vncviewer.desktop
%{_mandir}/man1/vncviewer.1*

%files server
%defattr(-,root,root)
%attr(0755,root,root) %config /etc/rc.d/init.d/vncserver
%config(noreplace) /etc/sysconfig/vncservers
%config /etc/xinet.d/vnc
%{_bindir}/Xvnc
%{_bindir}/vncserver
%{_bindir}/vncpasswd
%{_bindir}/vncconnect
%{_datadir}/vnc
%{_mandir}/man1/Xvnc.1*
%{_mandir}/man1/vncserver.1*
%{_mandir}/man1/vncconnect.1*
%{_mandir}/man1/vncpasswd.1*


%changelog
* Wed Jan 15 2003 Rex Dieter <rdieter@unl.edu> 3.3.6-3
- (real)vnc-3.3.6.
- start at 3.3.6-3, 'cuz realvnc.org's rpm is 3.3.6-2,
  is monolithic, includes no patches or changelog. Ack.
- %%buildroot -> $RPM_BUILD_ROOT, for compatibility.

* Thu Nov 07 2002 Rex Dieter <rdieter@unl.edu> 3.3.5-0
- (real)vnc-3.3.5, patched for xclients, xfs fontpath, 
  tcp_wrapper support, and default to shared sessions.
- no html docs, for now.
- add xinetd support.

* Tue Jul 16 2002 Rex Dieter <rdieter@unl.edu> 3.3.3r2-34unl
- use VNCOPTIONS (rfe #68971)
  http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=68971

